AsterNet Class Library (Sandcastle documentation)
AsterNet Class Library (Sandcastle documentation)
AsterNET.IO
SocketConnection Class
SocketConnection Constructor
SocketConnection Methods
SocketConnection Properties

| SocketConnection Class

[Missing <summary> documentation for "T:AsterNET.IO.SocketConnection"]

Inheritance Hierarchy
System
Object
AsterNET.IO
SocketConnection

Namespace: AsterNET.IO
Assembly: AsterNET (in AsterNET.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy

    public class SocketConnection

    Public Class SocketConnection

    public ref class SocketConnection

    type SocketConnection =  class end

The SocketConnection type exposes the following members.

Constructors

| Name | Description
--- | --- | ---
| SocketConnection | Consructor

Top
Methods

| Name | Description
--- | --- | ---
| Close | Closes the socket connection including its input and output stream and frees all associated ressources. When calling close() any Thread currently blocked by a call to readLine() will be unblocked and receive an IOException.
| Equals | Determines whether the specified Object is equal to the current Object. (Inherited from Object.)
| Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
| GetHashCode | Serves as a hash function for a particular type. (Inherited from Object.)
| GetType | Gets the Type of the current instance. (Inherited from Object.)
| MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
| ReadLine | Reads a line of text from the socket connection. The current thread is blocked until either the next line is received or an IOException encounters.
| ToString | Returns a string that represents the current object. (Inherited from Object.)
| Write | Sends a given String to the socket connection.
| WriteEx | Sends a given String to the socket connection.

Top
Properties

| Name | Description
--- | --- | ---
| Encoding |
| Initial |
| IsConnected | Returns the connection state of the socket.
| LocalAddress |
| LocalPort |
| NetworkStream |
| RemoteAddress |
| RemotePort |
| TcpClient |

Top
See Also

#### Reference

AsterNET.IO Namespace